<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">
    <data>
        <import type="android.view.View" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:paddingBottom="@dimen/appintro2_bottombar_height"
        android:orientation="vertical"
        android:gravity="center"
        android:background="@color/primaryDarkColor">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/logoBackground"
            android:layout_width="wrap_content"
            android:layout_height="0dp"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toTopOf="@id/yourDataYourChoice"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintVertical_weight="2"
            android:layout_marginTop="48dp"
            app:srcCompat="@drawable/intro_logo_background" />
        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/logo"
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:layout_constraintTop_toTopOf="@id/logoBackground"
            app:layout_constraintBottom_toBottomOf="@id/logoBackground"
            app:layout_constraintStart_toStartOf="@id/logoBackground"
            app:layout_constraintEnd_toEndOf="@id/logoBackground"
            app:srcCompat="@drawable/ic_launcher_foreground" />

        <TextView
            android:id="@+id/yourDataYourChoice"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintVertical_weight="1"
            app:layout_constraintTop_toBottomOf="@id/logoBackground"
            app:layout_constraintBottom_toTopOf="@+id/takeControl"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            android:gravity="center_horizontal|bottom"
            app:autoSizeTextType="uniform"
            app:autoSizeMaxTextSize="34sp"
            android:paddingStart="32dp"
            android:paddingEnd="32dp"
            android:maxLines="1"
            style="@style/TextAppearance.MaterialComponents.Subtitle1"
            android:textColor="@android:color/white"
            android:text="@string/intro_slogan1"/>

        <TextView
            android:id="@+id/takeControl"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintVertical_weight="1"
            app:layout_constraintTop_toBottomOf="@id/yourDataYourChoice"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            android:paddingStart="32dp"
            android:paddingEnd="32dp"
            android:gravity="center_horizontal"
            app:autoSizeTextType="uniform"
            app:autoSizeMaxTextSize="48sp"
            android:maxLines="1"
            style="@style/TextAppearance.MaterialComponents.Headline5"
            android:textColor="@android:color/white"
            android:text="@string/intro_slogan2"/>

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>